adminlte-laravel 0,0,1,2,0 travis-ci Packagist gulp npm phpunit

A Laravel 5 package that switchs default Laravel scaffolding/boilerplate to AdminLTE template and Pratt Landing Page with Bootstrap 3.0

#AdminLTE template Laravel 5 package A Laravel 5 package that switch default Laravel scaffolding / boilerplate to AdminLTE template with Bootstrap 3.0 and Pratt Landing Page

See demo here:

http://demo.adminlte.acacha.org/

If you are looking for the Laravel 4 version, use 0.1.5 version/tag and see OLD-README.md

Total Downloads Latest Stable Version Scrutinizer Code Quality Build Status StyleCI Build Status

Installation & use

So easy to install! Install globally with composer:

composer global require "acacha/adminlte-laravel-installer=~3.0"

And convert any Laravel fresh (no need of fresh installation now thanks to Acacha/llum) installation to AdminLTE/Pratt with:

laravel new laravel-with-admin-lte
cd laravel-with-admin-lte
adminlte-laravel install

Enjoy! If you wish you can use llum:

llum boot

To start using you Laravel with AdminLTE project. Llum will configure database (sqlite),execute migrations, install devtools and serve for you.

More info about llum commands in Github Acacha/llum.

IMPORTANT NOTE: on MAC OS you will have to replace BSD sed with GNU sed for example using brew:

brew install gnu-sed --with-default-names

#Requirements

This packages use (no need to install):

brew install gnu-sed --with-default-names

This package assumes that you have in path your composer bin folder:

/YOUR_PATH_TO_HOME/.composer/vendor/bin

For example adding this line:

export PATH=${PATH}:~/.composer/vendor/bin

to your ~/.bashrc file

Llum package

This package now uses Acacha/llum to install packages, providers, aliases, etc in a current existing Laravel project.

Thanks to llum we can install adminlte-laravel package in any Laravel project no need of fresh installation.

However acacha/llum use bash scripts and commands like sed thta maybe are no compatible or not available in all platforms. No problem! You can use a backwards compatible version with:

 laravel new laravel-with-admin-lte
 cd laravel-with-admin-lte
 adminlte-laravel --no-llum install

Or you can use version 1.0 of installer with:

composer global require "acacha/adminlte-laravel-installer=~3.0"

Laravel 5.3

Laravel 5.3 is the default Laravel version supported. See section Installation & use for more info. See below for info about how to install this package in older Laravel versions

Laravel 5.3 manual installation

Follow the typical Laravel package installation steps:

 laravel new laravel-with-admin-lte
 cd laravel-with-admin-lte

Add admin-lte Laravel package with:

 composer require "acacha/admin-lte-template-laravel:2.*"

To register the Service Provider edit config/app.php file and add to providers array:

/*
* Acacha AdminLTE template provider
 */
Acacha\AdminLTETemplateLaravel\Providers\AdminLTETemplateServiceProvider::class,

To Register Alias edit config/app.php file and add to alias array:

/*
* Acacha AdminLTE template alias
*/
'AdminLTE' => Acacha\AdminLTETemplateLaravel\Facades\AdminLTE::class,

Publish files with:

php artisan vendor:publish --tag=adminlte --force

Use force to overwrite Laravel Scaffolding packages. That’s all! Open the Laravel project in your browser or homestead machine and enjoy!

Laravel 5.2

Also you can use for previous version of Laravel (5.2) :

composer global require "acacha/adminlte-laravel-installer=~2.0"
laravel new --5.2 laravel-with-admin-lte

Laravel 5.1 notes

By default Laravel 5.1 does not include default auth routes. Versions > 1.0 < 2.0 of this package add the necessary routes for you

See old README file file for notes of which routes are registered.

###Installation

First install Laravel (http://laravel.com/docs/5.0/installation) and then Create a new Laravel project:

 laravel new laravel-with-admin-lte
 cd laravel-with-admin-lte

Add admin-lte Laravel package with:

 composer require "acacha/admin-lte-template-laravel:1.*"

Register ServiceProvider editing config/app.php file and adding to providers array:

// AdminLTE template provider         
Acacha\AdminLTETemplateLaravel\app\Providers\AdminLTETemplateServiceProvider::class,

Publish files with:

 php artisan vendor:publish --force --provider="Acacha\AdminLTETemplateLaravel\app\Providers\AdminLTETemplateServiceProvider"

Use force to overwrite Laravel Scaffolding packages. That’s all! Open the Laravel project in your browser or homestead machine and enjoy!

Note: use the following for Laravel <5.1 versions:

 // AdminLTE template provider
 'Acacha\AdminLTETemplateLaravel\app\Providers\AdminLTETemplateServiceProvider',

##Laravel Routes

This package installs Laravel routes that you will not find them at routes.php file. The routes installed by package would be find at file:

https://github.com/acacha/adminlte-laravel/blob/master/src/Http/routes.php

A file included by AdminLTETemplateServiceProvider:

https://github.com/acacha/adminlte-laravel/blob/master/src/Providers/AdminLTETemplateServiceProvider.php

You can override this routes by changing order of ServiceProviders in config/app.php file so if you put:

App\Providers\RouteServiceProvider::class

After

Acacha\AdminLTETemplateLaravel\Providers\AdminLTETemplateServiceProvider::class

Your routes in routes.php file will override default adminlte-laravel routes.

Also you can install manually the routes in routes.php file. Adminlte-laravel use same routes as Laravel make:auth command use, see:

https://github.com/laravel/framework/blob/5.2/src/Illuminate/Auth/Console/stubs/make/routes.stub

so you can add this lines to routes.php file:

Route::auth();

Route::get('/home', '[email protected]');

And disable AdminLTETemplateServiceProvider in config/app.php file ( take into account that Adminte-laravel Facades and custom commands will not be available).

See issue https://github.com/acacha/adminlte-laravel/issues/69 for more info

##First steps, database creation, migrations and login

Once package installed you have to follow the usual steps of any laravel project to Login to the admin interface:

  • Create a database. I recommend the use of laravel Homestead ()
  • Create/check .env file and configure database acces (database name, password, etc)
  • Run migrations with command $ php artisan migrate
  • Registera a first user and Login with it

##AdminLTE

AdminLTE is a Free Premium Admin control Panel Theme That Is Based On Bootstrap 3.x created by Abdullah Almsaeed. See:

https://github.com/almasaeed2010/AdminLTE

Avatar/Gravatar

Adminlte-laravel supports global recognized avatar (http://gravatar.com) using package creativeorange/gravatar (https://github.com/creativeorange/gravatar).

Roadmap

Documentation TODO

  • Gulp file provided to compile Boostrap and AdminLTE less files
  • Partial views (html header, content header, footer, etc.) to easily reuse code

Packagist

https://packagist.org/packages/acacha/admin-lte-template-laravel

More info

http://acacha.org/mediawiki/AdminLTE#adminlte-laravel

Tests

Execute:

phpunit

In new created laravel project with acacha-admintle.laravel installed to test package is installed correctly.

Social Login

FAQ:

How can I remove social login links in register and login pages?

Remove line @include(‘auth.partials.social_login’) in files resources/views/auth/login.blade.php and register.blade.php

Social login links in login/register pages returns 404 not found

TODO: See package https://github.com/acacha/acacha-socialite

Localization

All strings are localized using Laravel localization support: https://laravel.com/docs/master/localization

In your config/app.php file you can change locale to change language. You can install only localized files using tag adminlte_lang:

php artisan vendor:publish --tag=adminlte_lang --force

The following languages are supported by default on this package: English, Catalan,Spanish and Brazilian Portuguese. Please feel free to submit a new pull request with another languages if you wish.

Troubleshooting

GNU sed on MAC OS

Acacha llum need GNU sed to work so replace BSD sed with GNU sed using:

brew install gnu-sed --with-default-names

Check you version of sed with:

man sed

sed GNU version path is:

$ which sed
/usr/local/bin/sed

Instead of default path of BSD sed (installed by default on MAC OS):

/usr/bin/sed

More info at https://github.com/acacha/adminlte-laravel/issues/58

See also

https://github.com/acacha/adminlte-laravel-installer

Related Repositories

adminlte-laravel

adminlte-laravel

A Laravel 5 package that switchs default Laravel scaffolding/boilerplate to AdminLTE template and Pratt Landing Page with Bootstrap 3.0 ...

laravel-angular-admin

laravel-angular-admin

Laravel + Angularjs + Bootstrap + AdminLTE binded by Gulp workflow Admin Dashboard Boilerplate / Starter. ...

Base

Base

Laravel Backpack's base package, which offers admin authentication and a blank admin panel using AdminLTE ...

Laravel-AdminLTE

Laravel-AdminLTE

Easy AdminLTE integration with Laravel 5 ...

laravel-adminlte

laravel-adminlte

Almsaeed's AdminLTE Template for Sleeping Owl Admin Generator plugin for Laravel 5 ...


Top Contributors

acacha rogermelich besens ontheroadjp marcosmariondev syahzul webkingashu hootlex Vinlock gdbhosale anarcist69 ptsilva wpouseele yhbyun

Dependencies

package version
dev acacha-forms ^0.1.4
admin-lte ^2.3.11
axios ^0.15.3
babel-eslint ^7.1.1
bootstrap-less 3.3.7
bootstrap-sass 3.3.7
cross-env ^3.2.3
eslint ^3.14.1
eslint-friendly-formatter ^2.0.7
eslint-loader ^1.6.1
eslint-plugin-html ^2.0.0
eslint-config-standard ^6.2.1
eslint-plugin-promise ^3.4.0
eslint-plugin-standard ^2.0.1
font-awesome ^4.7.0
icheck ^1.0.2
ionicons ^3.0.0
jquery ^3.1.1
laravel-mix 0.*
lodash ^4.17.4
toastr ^2.1.2
vue ^2.1.10

Releases

-   3.1.4 zip tar
-   3.1.3 zip tar
-   3.1.2 zip tar
-   3.1.1 zip tar
-   3.1 zip tar
-   3.0.12 zip tar
-   3.0.11 zip tar
-   3.0.10 zip tar
-   3.0.9 zip tar
-   3.0.8 zip tar
-   3.0.7 zip tar
-   3.0.6 zip tar
-   3.0.5 zip tar
-   3.0.4 zip tar
-   3.0.3 zip tar
-   3.0.2 zip tar
-   3.0.1 zip tar
-   3.0 zip tar
-   2.0.12 zip tar
-   2.0.10 zip tar
-   2.0.9 zip tar
-   2.0.8 zip tar
-   2.0.7 zip tar
-   2.0.6 zip tar
-   2.0.5 zip tar
-   2.0.4 zip tar
-   2.0.3 zip tar
-   2.0.2 zip tar
-   2.0.1 zip tar
-   2.0 zip tar